gdata.calendar.data | index /usr/local/google/home/afshar/src/external-gdata-release/google3/src/gdata/calendar/data.py

`Contains the data classes of the Google Calendar Data API`

Modules

``

atom | gdata |  |

Classes

``

atom.core.XmlElement(__builtin__.object)
  AccessLevelProperty
  AllowGSync2Property
  AllowGSyncProperty
  AnyoneCanAddSelfProperty
  ColorProperty
  GuestsCanInviteOthersProperty
  GuestsCanModifyProperty
  GuestsCanSeeGuestsProperty
  HiddenProperty
  IcalUIDProperty
  OverrideNameProperty
  PrivateCopyProperty
  QuickAddProperty
  ResourceProperty
  SelectedProperty
  SendAclNotificationsProperty
  SendEventNotificationsProperty
  SequenceNumberProperty
  SettingsProperty
  SuppressReplyNotificationsProperty
  SyncEventProperty
  TimeZoneProperty
  TimesCleanedProperty
  WebContent
  WebContentGadgetPref
atom.data.Link(atom.core.XmlElement)
  WebContentLink
gdata.acl.data.AclEntry(gdata.data.GDEntry)
  CalendarAclEntry
gdata.acl.data.AclRole(atom.core.XmlElement)
  CalendarAclRole
gdata.data.BatchEntry(gdata.data.GDEntry)
  CalendarEventEntry
gdata.data.BatchFeed(gdata.data.GDFeed)
  CalendarEventFeed
gdata.data.Comments(atom.core.XmlElement)
  CalendarComments
gdata.data.ExtendedProperty(atom.core.XmlElement)
  CalendarExtendedProperty
gdata.data.GDEntry(atom.data.Entry, gdata.data.LinkFinder)
  CalendarCommentEntry
  CalendarEntry
  CalendarRecurrenceExceptionEntry
  SettingsEntry
gdata.data.GDFeed(atom.data.Feed, gdata.data.LinkFinder)
  CalendarAclFeed
  CalendarCommentFeed
  CalendarFeed
  CalendarSettingsFeed
gdata.data.RecurrenceException(atom.core.XmlElement)
  CalendarRecurrenceException
gdata.data.When(atom.core.XmlElement)
  When
gdata.data.Where(atom.core.XmlElement)
  CalendarWhere
gdata.data.Who(atom.core.XmlElement)
  EventWho

class AccessLevelProperty(atom.core.XmlElement)
`` | `Describes how much a given user may do with an event or calendar`

Method resolution order:
  AccessLevelProperty
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class AllowGSync2Property(atom.core.XmlElement)
`` | `Whether the user is permitted to run Google Apps Sync`

Method resolution order:
  AllowGSync2Property
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class AllowGSyncProperty(atom.core.XmlElement)
`` | `Whether the user is permitted to run Google Apps Sync`

Method resolution order:
  AllowGSyncProperty
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class AnyoneCanAddSelfProperty(atom.core.XmlElement)
`` | `Whether anyone can add self as attendee`

Method resolution order:
  AnyoneCanAddSelfProperty
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class CalendarAclEntry(gdata.acl.data.AclEntry)
`` | `Describes an entry in a feed of a Calendar access control list (ACL)`

Method resolution order:
  CalendarAclEntry
  gdata.acl.data.AclEntry
  gdata.data.GDEntry
  atom.data.Entry
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

send_acl_notifications = <class 'gdata.calendar.data.SendAclNotificationsProperty'>
  `Describes whether to send ACL notifications to grantees`

Data and other attributes inherited from gdata.acl.data.AclEntry:

additional_role = <class 'gdata.acl.data.AclAdditionalRole'>
  `Describes an additionalRole element.`

role = <class 'gdata.acl.data.AclRole'>
  `Describes the role of an entry in an access control list.`

scope = <class 'gdata.acl.data.AclScope'>
  `Describes the scope of an entry in an access control list.`

with_key = <class 'gdata.acl.data.AclWithKey'>
  `Describes a key that can be used to access a document.`

Methods inherited from gdata.data.GDEntry:

FindMediaLink = find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

GetId = get_id(self)

IsMedia = is_media(self)

find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

get_id(self)

is_media(self)

Data and other attributes inherited from gdata.data.GDEntry:

etag = '{http://schemas.google.com/g/2005}etag'

Data and other attributes inherited from atom.data.Entry:

content = <class 'atom.data.Content'>
  `The atom:content element.`

control = <class 'atom.data.Control'>
  `The app:control element indicating restrictions on publication.
  The APP control element may contain a draft element indicating whether or
  not this entry should be publicly available.`

published = <class 'atom.data.Published'>
  `The atom:published element.`

source = <class 'atom.data.Source'>
  `The atom:source element.`

summary = <class 'atom.data.Summary'>
  `The atom:summary element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class CalendarAclFeed(gdata.data.GDFeed)
`` | `Describes a Calendar access contorl list (ACL) feed`

Method resolution order:
  CalendarAclFeed
  gdata.data.GDFeed
  atom.data.Feed
  atom.data.Source
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

entry = [<class 'gdata.calendar.data.CalendarAclEntry'>]

Methods inherited from gdata.data.GDFeed:

GetId = get_id(self)

get_generator(self)

get_id(self)

Data and other attributes inherited from gdata.data.GDFeed:

etag = '{http://schemas.google.com/g/2005}etag'

items_per_page = <class 'gdata.data.ItemsPerPage'>
  `The opensearch:itemsPerPage element in GData feed.`

start_index = <class 'gdata.data.StartIndex'>
  `The opensearch:startIndex element in GData feed.`

total_results = <class 'gdata.data.TotalResults'>
  `opensearch:TotalResults for a GData feed.`

Data and other attributes inherited from atom.data.Source:

generator = <class 'atom.data.Generator'>
  `The atom:generator element.`

icon = <class 'atom.data.Icon'>
  `The atom:icon element.`

logo = <class 'atom.data.Logo'>
  `The atom:logo element.`

subtitle = <class 'atom.data.Subtitle'>
  `The atom:subtitle element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class CalendarAclRole(gdata.acl.data.AclRole)
`` | `Describes the Calendar roles of an entry in the Calendar access control list`

Method resolution order:
  CalendarAclRole
  gdata.acl.data.AclRole
  atom.core.XmlElement
  __builtin__.object

Data and other attributes inherited from gdata.acl.data.AclRole:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class CalendarCommentEntry(gdata.data.GDEntry)
`` | `Describes an entry in a feed of a Calendar event's comments`

Method resolution order:
  CalendarCommentEntry
  gdata.data.GDEntry
  atom.data.Entry
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Methods inherited from gdata.data.GDEntry:

FindMediaLink = find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

GetId = get_id(self)

IsMedia = is_media(self)

find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

get_id(self)

is_media(self)

Data and other attributes inherited from gdata.data.GDEntry:

etag = '{http://schemas.google.com/g/2005}etag'

Data and other attributes inherited from atom.data.Entry:

content = <class 'atom.data.Content'>
  `The atom:content element.`

control = <class 'atom.data.Control'>
  `The app:control element indicating restrictions on publication.
  The APP control element may contain a draft element indicating whether or
  not this entry should be publicly available.`

published = <class 'atom.data.Published'>
  `The atom:published element.`

source = <class 'atom.data.Source'>
  `The atom:source element.`

summary = <class 'atom.data.Summary'>
  `The atom:summary element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class CalendarCommentFeed(gdata.data.GDFeed)
`` | `Describes feed of a Calendar event's comments`

Method resolution order:
  CalendarCommentFeed
  gdata.data.GDFeed
  atom.data.Feed
  atom.data.Source
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

entry = [<class 'gdata.calendar.data.CalendarCommentEntry'>]

Methods inherited from gdata.data.GDFeed:

GetId = get_id(self)

get_generator(self)

get_id(self)

Data and other attributes inherited from gdata.data.GDFeed:

etag = '{http://schemas.google.com/g/2005}etag'

items_per_page = <class 'gdata.data.ItemsPerPage'>
  `The opensearch:itemsPerPage element in GData feed.`

start_index = <class 'gdata.data.StartIndex'>
  `The opensearch:startIndex element in GData feed.`

total_results = <class 'gdata.data.TotalResults'>
  `opensearch:TotalResults for a GData feed.`

Data and other attributes inherited from atom.data.Source:

generator = <class 'atom.data.Generator'>
  `The atom:generator element.`

icon = <class 'atom.data.Icon'>
  `The atom:icon element.`

logo = <class 'atom.data.Logo'>
  `The atom:logo element.`

subtitle = <class 'atom.data.Subtitle'>
  `The atom:subtitle element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class CalendarComments(gdata.data.Comments)
`` | `Describes a container of a feed link for Calendar comment entries`

Method resolution order:
  CalendarComments
  gdata.data.Comments
  atom.core.XmlElement
  __builtin__.object

Data and other attributes inherited from gdata.data.Comments:

feed_link = <class 'gdata.data.FeedLink'>
  `The gd:feedLink element.
  Represents a logically nested feed. For example, a calendar feed might
  have a nested feed representing all comments on entries.`

rel = 'rel'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class CalendarEntry(gdata.data.GDEntry)
`` | `Describes a Calendar entry in the feed of a user's calendars`

Method resolution order:
  CalendarEntry
  gdata.data.GDEntry
  atom.data.Entry
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

accesslevel = <class 'gdata.calendar.data.AccessLevelProperty'>
  `Describes how much a given user may do with an event or calendar`

color = <class 'gdata.calendar.data.ColorProperty'>
  `Describes the color of a calendar`

hidden = <class 'gdata.calendar.data.HiddenProperty'>
  `Describes whether a calendar is hidden`

overridename = <class 'gdata.calendar.data.OverrideNameProperty'>
  `Describes the override name property of a calendar`

selected = <class 'gdata.calendar.data.SelectedProperty'>
  `Describes whether a calendar is selected`

times_cleaned = <class 'gdata.calendar.data.TimesCleanedProperty'>
  `Describes how many times calendar was cleaned via Manage Calendars`

timezone = <class 'gdata.calendar.data.TimeZoneProperty'>
  `Describes the time zone of a calendar`

where = [<class 'gdata.calendar.data.CalendarWhere'>]

Methods inherited from gdata.data.GDEntry:

FindMediaLink = find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

GetId = get_id(self)

IsMedia = is_media(self)

find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

get_id(self)

is_media(self)

Data and other attributes inherited from gdata.data.GDEntry:

etag = '{http://schemas.google.com/g/2005}etag'

Data and other attributes inherited from atom.data.Entry:

content = <class 'atom.data.Content'>
  `The atom:content element.`

control = <class 'atom.data.Control'>
  `The app:control element indicating restrictions on publication.
  The APP control element may contain a draft element indicating whether or
  not this entry should be publicly available.`

published = <class 'atom.data.Published'>
  `The atom:published element.`

source = <class 'atom.data.Source'>
  `The atom:source element.`

summary = <class 'atom.data.Summary'>
  `The atom:summary element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class CalendarEventEntry(gdata.data.BatchEntry)
`` | `Describes a Calendar event entry`

Method resolution order:
  CalendarEventEntry
  gdata.data.BatchEntry
  gdata.data.GDEntry
  atom.data.Entry
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

anyone_can_add_self = <class 'gdata.calendar.data.AnyoneCanAddSelfProperty'>
  `Whether anyone can add self as attendee`

comments = <class 'gdata.data.Comments'>
  `The gd:comments element.
  Contains a comments feed for the enclosing entry (such as a calendar event).`

event_status = <class 'gdata.data.EventStatus'>
  `The gd:eventStatus element.`

extended_property = [<class 'gdata.calendar.data.CalendarExtendedProperty'>]

georss_where = <class 'gdata.geo.data.GeoRssWhere'>
  `Describes a geographical location or region.`

guests_can_invite_others = <class 'gdata.calendar.data.GuestsCanInviteOthersProperty'>
  `Whether guests can invite others to the event`

guests_can_modify = <class 'gdata.calendar.data.GuestsCanModifyProperty'>
  `Whether guests can modify event`

guests_can_see_guests = <class 'gdata.calendar.data.GuestsCanSeeGuestsProperty'>
  `Whether guests can see other attendees`

original_event = <class 'gdata.data.OriginalEvent'>
  `The gd:originalEvent element.
  Equivalent to the Recurrence ID property specified in section 4.8.4.4
  of RFC 2445. Appears in every instance of a recurring event, to identify
  the original event.
  Contains a <gd:when> element specifying the original start time of the
  instance that has become an exception.`

private_copy = <class 'gdata.calendar.data.PrivateCopyProperty'>
  `Indicates whether this is a private copy of the event, changes to which should not be sent to other calendars`

quick_add = <class 'gdata.calendar.data.QuickAddProperty'>
  `Describes whether gd:content is for quick-add processing`

recurrence = <class 'gdata.data.Recurrence'>
  `The gd:recurrence element.
  Represents the dates and times when a recurring event takes place.
  The string that defines the recurrence consists of a set of properties,
  each of which is defined in the iCalendar standard (RFC 2445).
  Specifically, the string usually begins with a DTSTART property that
  indicates the starting time of the first instance of the event, and
  often a DTEND property or a DURATION property to indicate when the
  first instance ends. Next come RRULE, RDATE, EXRULE, and/or EXDATE
  properties, which collectively define a recurring event and its
  exceptions (but see below). (See section 4.8.5 of RFC 2445 for more
  information about these recurrence component properties.) Last comes a
  VTIMEZONE component, providing detailed timezone rules for any timezone
  ID mentioned in the preceding properties.
  Google services like Google Calendar don't generally generate EXRULE
  and EXDATE properties to represent exceptions to recurring events;
  instead, they generate <gd:recurrenceException> elements. However,
  Google services may include EXRULE and/or EXDATE properties anyway;
  for example, users can import events and exceptions into Calendar, and
  if those imported events contain EXRULE or EXDATE properties, then
  Calendar will provide those properties when it sends a <gd:recurrence>
  element.
  Note the the use of <gd:recurrenceException> means that you can't be
  sure just from examining a <gd:recurrence> element whether there are
  any exceptions to the recurrence description. To ensure that you find
  all exceptions, look for <gd:recurrenceException> elements in the feed,
  and use their <gd:originalEvent> elements to match them up with
  <gd:recurrence> elements.`

recurrence_exception = [<class 'gdata.data.RecurrenceException'>]

reminder = [<class 'gdata.data.Reminder'>]

send_event_notifications = <class 'gdata.calendar.data.SendEventNotificationsProperty'>
  `Describes whether to send event notifications to other participants of the event`

sequence = <class 'gdata.calendar.data.SequenceNumberProperty'>
  `Describes sequence number of an event`

suppress_reply_notifications = <class 'gdata.calendar.data.SuppressReplyNotificationsProperty'>
  `Lists notification methods to be suppressed for this reply`

sync_event = <class 'gdata.calendar.data.SyncEventProperty'>
  `Describes whether this is a sync scenario where the Ical UID and Sequence number are honored during inserts and updates`

transparency = <class 'gdata.data.Transparency'>
  `The gd:transparency element:
  Extensible enum corresponding to the TRANSP property defined in RFC 244.`

uid = <class 'gdata.calendar.data.IcalUIDProperty'>
  `Describes the UID in the ical export of the event`

visibility = <class 'gdata.data.Visibility'>
  `The gd:visibility element.`

when = [<class 'gdata.calendar.data.When'>]

where = [<class 'gdata.data.Where'>]

who = [<class 'gdata.data.Who'>]

Data and other attributes inherited from gdata.data.BatchEntry:

batch_id = <class 'gdata.data.BatchId'>
  `Identifies a single operation in a batch request.`

batch_operation = <class 'gdata.data.BatchOperation'>
  `The CRUD operation which this batch entry represents.`

batch_status = <class 'gdata.data.BatchStatus'>
  `The batch:status element present in a batch response entry.
  A status element contains the code (HTTP response code) and
  reason as elements. In a single request these fields would
  be part of the HTTP response, but in a batch request each
  Entry operation has a corresponding Entry in the response
  feed which includes status information.
  See http://code.google.com/apis/gdata/batch.html#Handling_Errors`

Methods inherited from gdata.data.GDEntry:

FindMediaLink = find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

GetId = get_id(self)

IsMedia = is_media(self)

find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

get_id(self)

is_media(self)

Data and other attributes inherited from gdata.data.GDEntry:

etag = '{http://schemas.google.com/g/2005}etag'

Data and other attributes inherited from atom.data.Entry:

content = <class 'atom.data.Content'>
  `The atom:content element.`

control = <class 'atom.data.Control'>
  `The app:control element indicating restrictions on publication.
  The APP control element may contain a draft element indicating whether or
  not this entry should be publicly available.`

published = <class 'atom.data.Published'>
  `The atom:published element.`

source = <class 'atom.data.Source'>
  `The atom:source element.`

summary = <class 'atom.data.Summary'>
  `The atom:summary element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class CalendarEventFeed(gdata.data.BatchFeed)
`` | `Describes a Calendar event feed`

Method resolution order:
  CalendarEventFeed
  gdata.data.BatchFeed
  gdata.data.GDFeed
  atom.data.Feed
  atom.data.Source
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

allow_g_sync = <class 'gdata.calendar.data.AllowGSyncProperty'>
  `Whether the user is permitted to run Google Apps Sync`

allow_g_sync2 = <class 'gdata.calendar.data.AllowGSync2Property'>
  `Whether the user is permitted to run Google Apps Sync`

entry = [<class 'gdata.calendar.data.CalendarEventEntry'>]

times_cleaned = <class 'gdata.calendar.data.TimesCleanedProperty'>
  `Describes how many times calendar was cleaned via Manage Calendars`

timezone = <class 'gdata.calendar.data.TimeZoneProperty'>
  `Describes the time zone of a calendar`

Methods inherited from gdata.data.BatchFeed:

AddBatchEntry = add_batch_entry(self, entry=None, id_url_string=None, batch_id_string=None, operation_string=None)
  `Logic for populating members of a BatchEntry and adding to the feed.
  If the entry is not a BatchEntry, it is converted to a BatchEntry so
  that the batch specific members will be present.
  The id_url_string can be used in place of an entry if the batch operation
  applies to a URL. For example query and delete operations require just
  the URL of an entry, no body is sent in the HTTP request. If an
  id_url_string is sent instead of an entry, a BatchEntry is created and
  added to the feed.
  This method also assigns the desired batch id to the entry so that it
  can be referenced in the server's response. If the batch_id_string is
  None, this method will assign a batch_id to be the index at which this
  entry will be in the feed's entry list.
  Args:
  entry: BatchEntry, atom.data.Entry, or another Entry flavor (optional)
  The entry which will be sent to the server as part of the batch
  request. The item must have a valid atom id so that the server
  knows which entry this request references.
  id_url_string: str (optional) The URL of the entry to be acted on. You
  can find this URL in the text member of the atom id for an entry.
  If an entry is not sent, this id will be used to construct a new
  BatchEntry which will be added to the request feed.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. Note that batch_ids should either always be specified or
  never, mixing could potentially result in duplicate batch ids.
  operation_string: str (optional) The desired batch operation which will
  set the batch_operation.type member of the entry. Options are
  'insert', 'update', 'delete', and 'query'
  Raises:
  MissingRequiredParameters: Raised if neither an id_ url_string nor an
  entry are provided in the request.
  Returns:
  The added entry.`

AddDelete = add_delete(self, url_string=None, entry=None, batch_id_string=None)
  `Adds a delete request to the batch request feed.
  This method takes either the url_string which is the atom id of the item
  to be deleted, or the entry itself. The atom id of the entry must be
  present so that the server knows which entry should be deleted.
  Args:
  url_string: str (optional) The URL of the entry to be deleted. You can
  find this URL in the text member of the atom id for an entry.
  entry: BatchEntry (optional) The entry to be deleted.
  batch_id_string: str (optional)
  Raises:
  MissingRequiredParameters: Raised if neither a url_string nor an entry
  are provided in the request.`

AddInsert = add_insert(self, entry, batch_id_string=None)
  `Add an insert request to the operations in this batch request feed.
  If the entry doesn't yet have an operation or a batch id, these will
  be set to the insert operation and a batch_id specified as a parameter.
  Args:
  entry: BatchEntry The entry which will be sent in the batch feed as an
  insert request.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. Note that batch_ids should either always be specified or
  never, mixing could potentially result in duplicate batch ids.`

AddQuery = add_query(self, url_string=None, entry=None, batch_id_string=None)
  `Adds a query request to the batch request feed.
  This method takes either the url_string which is the query URL
  whose results will be added to the result feed. The query URL will
  be encapsulated in a BatchEntry, and you may pass in the BatchEntry
  with a query URL instead of sending a url_string.
  Args:
  url_string: str (optional)
  entry: BatchEntry (optional)
  batch_id_string: str (optional)
  Raises:
  MissingRequiredParameters`

AddUpdate = add_update(self, entry, batch_id_string=None)
  `Add an update request to the list of batch operations in this feed.
  Sets the operation type of the entry to insert if it is not already set
  and assigns the desired batch id to the entry so that it can be
  referenced in the server's response.
  Args:
  entry: BatchEntry The entry which will be sent to the server as an
  update (HTTP PUT) request. The item must have a valid atom id
  so that the server knows which entry to replace.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. See also comments for AddInsert.`

FindBatchLink = find_batch_link(self)

add_batch_entry(self, entry=None, id_url_string=None, batch_id_string=None, operation_string=None)
  `Logic for populating members of a BatchEntry and adding to the feed.
  If the entry is not a BatchEntry, it is converted to a BatchEntry so
  that the batch specific members will be present.
  The id_url_string can be used in place of an entry if the batch operation
  applies to a URL. For example query and delete operations require just
  the URL of an entry, no body is sent in the HTTP request. If an
  id_url_string is sent instead of an entry, a BatchEntry is created and
  added to the feed.
  This method also assigns the desired batch id to the entry so that it
  can be referenced in the server's response. If the batch_id_string is
  None, this method will assign a batch_id to be the index at which this
  entry will be in the feed's entry list.
  Args:
  entry: BatchEntry, atom.data.Entry, or another Entry flavor (optional)
  The entry which will be sent to the server as part of the batch
  request. The item must have a valid atom id so that the server
  knows which entry this request references.
  id_url_string: str (optional) The URL of the entry to be acted on. You
  can find this URL in the text member of the atom id for an entry.
  If an entry is not sent, this id will be used to construct a new
  BatchEntry which will be added to the request feed.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. Note that batch_ids should either always be specified or
  never, mixing could potentially result in duplicate batch ids.
  operation_string: str (optional) The desired batch operation which will
  set the batch_operation.type member of the entry. Options are
  'insert', 'update', 'delete', and 'query'
  Raises:
  MissingRequiredParameters: Raised if neither an id_ url_string nor an
  entry are provided in the request.
  Returns:
  The added entry.`

add_delete(self, url_string=None, entry=None, batch_id_string=None)
  `Adds a delete request to the batch request feed.
  This method takes either the url_string which is the atom id of the item
  to be deleted, or the entry itself. The atom id of the entry must be
  present so that the server knows which entry should be deleted.
  Args:
  url_string: str (optional) The URL of the entry to be deleted. You can
  find this URL in the text member of the atom id for an entry.
  entry: BatchEntry (optional) The entry to be deleted.
  batch_id_string: str (optional)
  Raises:
  MissingRequiredParameters: Raised if neither a url_string nor an entry
  are provided in the request.`

add_insert(self, entry, batch_id_string=None)
  `Add an insert request to the operations in this batch request feed.
  If the entry doesn't yet have an operation or a batch id, these will
  be set to the insert operation and a batch_id specified as a parameter.
  Args:
  entry: BatchEntry The entry which will be sent in the batch feed as an
  insert request.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. Note that batch_ids should either always be specified or
  never, mixing could potentially result in duplicate batch ids.`

add_query(self, url_string=None, entry=None, batch_id_string=None)
  `Adds a query request to the batch request feed.
  This method takes either the url_string which is the query URL
  whose results will be added to the result feed. The query URL will
  be encapsulated in a BatchEntry, and you may pass in the BatchEntry
  with a query URL instead of sending a url_string.
  Args:
  url_string: str (optional)
  entry: BatchEntry (optional)
  batch_id_string: str (optional)
  Raises:
  MissingRequiredParameters`

add_update(self, entry, batch_id_string=None)
  `Add an update request to the list of batch operations in this feed.
  Sets the operation type of the entry to insert if it is not already set
  and assigns the desired batch id to the entry so that it can be
  referenced in the server's response.
  Args:
  entry: BatchEntry The entry which will be sent to the server as an
  update (HTTP PUT) request. The item must have a valid atom id
  so that the server knows which entry to replace.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. See also comments for AddInsert.`

find_batch_link(self)

Data and other attributes inherited from gdata.data.BatchFeed:

interrupted = <class 'gdata.data.BatchInterrupted'>
  `The batch:interrupted element sent if batch request was interrupted.
  Only appears in a feed if some of the batch entries could not be processed.
  See: http://code.google.com/apis/gdata/batch.html#Handling_Errors`

Methods inherited from gdata.data.GDFeed:

GetId = get_id(self)

get_generator(self)

get_id(self)

Data and other attributes inherited from gdata.data.GDFeed:

etag = '{http://schemas.google.com/g/2005}etag'

items_per_page = <class 'gdata.data.ItemsPerPage'>
  `The opensearch:itemsPerPage element in GData feed.`

start_index = <class 'gdata.data.StartIndex'>
  `The opensearch:startIndex element in GData feed.`

total_results = <class 'gdata.data.TotalResults'>
  `opensearch:TotalResults for a GData feed.`

Data and other attributes inherited from atom.data.Source:

generator = <class 'atom.data.Generator'>
  `The atom:generator element.`

icon = <class 'atom.data.Icon'>
  `The atom:icon element.`

logo = <class 'atom.data.Logo'>
  `The atom:logo element.`

subtitle = <class 'atom.data.Subtitle'>
  `The atom:subtitle element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class CalendarExtendedProperty(gdata.data.ExtendedProperty)
`` | `Defines a value for the realm attribute that is used only in the calendar API`

Method resolution order:
  CalendarExtendedProperty
  gdata.data.ExtendedProperty
  atom.core.XmlElement
  __builtin__.object

Methods inherited from gdata.data.ExtendedProperty:

GetXmlBlob = get_xml_blob(self)
  `Returns the XML blob as an atom.core.XmlElement.
  Returns:
  An XmlElement representing the blob's XML, or None if no
  blob was set.`

SetXmlBlob = set_xml_blob(self, blob)
  `Sets the contents of the extendedProperty to XML as a child node.
  Since the extendedProperty is only allowed one child element as an XML
  blob, setting the XML blob will erase any preexisting member elements
  in this object.
  Args:
  blob: str or atom.core.XmlElement representing the XML blob stored in
  the extendedProperty.`

get_xml_blob(self)
  `Returns the XML blob as an atom.core.XmlElement.
  Returns:
  An XmlElement representing the blob's XML, or None if no
  blob was set.`

set_xml_blob(self, blob)
  `Sets the contents of the extendedProperty to XML as a child node.
  Since the extendedProperty is only allowed one child element as an XML
  blob, setting the XML blob will erase any preexisting member elements
  in this object.
  Args:
  blob: str or atom.core.XmlElement representing the XML blob stored in
  the extendedProperty.`

Data and other attributes inherited from gdata.data.ExtendedProperty:

name = 'name'

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class CalendarFeed(gdata.data.GDFeed)
`` | `Describes a feed of Calendars`

Method resolution order:
  CalendarFeed
  gdata.data.GDFeed
  atom.data.Feed
  atom.data.Source
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

entry = [<class 'gdata.calendar.data.CalendarEntry'>]

Methods inherited from gdata.data.GDFeed:

GetId = get_id(self)

get_generator(self)

get_id(self)

Data and other attributes inherited from gdata.data.GDFeed:

etag = '{http://schemas.google.com/g/2005}etag'

items_per_page = <class 'gdata.data.ItemsPerPage'>
  `The opensearch:itemsPerPage element in GData feed.`

start_index = <class 'gdata.data.StartIndex'>
  `The opensearch:startIndex element in GData feed.`

total_results = <class 'gdata.data.TotalResults'>
  `opensearch:TotalResults for a GData feed.`

Data and other attributes inherited from atom.data.Source:

generator = <class 'atom.data.Generator'>
  `The atom:generator element.`

icon = <class 'atom.data.Icon'>
  `The atom:icon element.`

logo = <class 'atom.data.Logo'>
  `The atom:logo element.`

subtitle = <class 'atom.data.Subtitle'>
  `The atom:subtitle element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class CalendarRecurrenceException(gdata.data.RecurrenceException)
`` | `Describes an exception to a recurring Calendar event`

Method resolution order:
  CalendarRecurrenceException
  gdata.data.RecurrenceException
  atom.core.XmlElement
  __builtin__.object

Data and other attributes inherited from gdata.data.RecurrenceException:

entry_link = <class 'gdata.data.EntryLink'>
  `The gd:entryLink element.
  Represents a logically nested entry. For example, a <gd:who>
  representing a contact might have a nested entry from a contact feed.`

original_event = <class 'gdata.data.OriginalEvent'>
  `The gd:originalEvent element.
  Equivalent to the Recurrence ID property specified in section 4.8.4.4
  of RFC 2445. Appears in every instance of a recurring event, to identify
  the original event.
  Contains a <gd:when> element specifying the original start time of the
  instance that has become an exception.`

specialized = 'specialized'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class CalendarRecurrenceExceptionEntry(gdata.data.GDEntry)
`` | `Describes an entry used by a Calendar recurrence exception entry link`

Method resolution order:
  CalendarRecurrenceExceptionEntry
  gdata.data.GDEntry
  atom.data.Entry
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

sequence = <class 'gdata.calendar.data.SequenceNumberProperty'>
  `Describes sequence number of an event`

uid = <class 'gdata.calendar.data.IcalUIDProperty'>
  `Describes the UID in the ical export of the event`

Methods inherited from gdata.data.GDEntry:

FindMediaLink = find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

GetId = get_id(self)

IsMedia = is_media(self)

find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

get_id(self)

is_media(self)

Data and other attributes inherited from gdata.data.GDEntry:

etag = '{http://schemas.google.com/g/2005}etag'

Data and other attributes inherited from atom.data.Entry:

content = <class 'atom.data.Content'>
  `The atom:content element.`

control = <class 'atom.data.Control'>
  `The app:control element indicating restrictions on publication.
  The APP control element may contain a draft element indicating whether or
  not this entry should be publicly available.`

published = <class 'atom.data.Published'>
  `The atom:published element.`

source = <class 'atom.data.Source'>
  `The atom:source element.`

summary = <class 'atom.data.Summary'>
  `The atom:summary element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class CalendarSettingsFeed(gdata.data.GDFeed)
`` | `Personal settings for Calendar application`

Method resolution order:
  CalendarSettingsFeed
  gdata.data.GDFeed
  atom.data.Feed
  atom.data.Source
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

entry = [<class 'gdata.calendar.data.SettingsEntry'>]

Methods inherited from gdata.data.GDFeed:

GetId = get_id(self)

get_generator(self)

get_id(self)

Data and other attributes inherited from gdata.data.GDFeed:

etag = '{http://schemas.google.com/g/2005}etag'

items_per_page = <class 'gdata.data.ItemsPerPage'>
  `The opensearch:itemsPerPage element in GData feed.`

start_index = <class 'gdata.data.StartIndex'>
  `The opensearch:startIndex element in GData feed.`

total_results = <class 'gdata.data.TotalResults'>
  `opensearch:TotalResults for a GData feed.`

Data and other attributes inherited from atom.data.Source:

generator = <class 'atom.data.Generator'>
  `The atom:generator element.`

icon = <class 'atom.data.Icon'>
  `The atom:icon element.`

logo = <class 'atom.data.Logo'>
  `The atom:logo element.`

subtitle = <class 'atom.data.Subtitle'>
  `The atom:subtitle element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class CalendarWhere(gdata.data.Where)
`` | `Extends the base Where class with Calendar extensions`

Method resolution order:
  CalendarWhere
  gdata.data.Where
  atom.core.XmlElement
  __builtin__.object

Data and other attributes inherited from gdata.data.Where:

entry_link = <class 'gdata.data.EntryLink'>
  `The gd:entryLink element.
  Represents a logically nested entry. For example, a <gd:who>
  representing a contact might have a nested entry from a contact feed.`

label = 'label'

rel = 'rel'

value = 'valueString'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class ColorProperty(atom.core.XmlElement)
`` | `Describes the color of a calendar`

Method resolution order:
  ColorProperty
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class EventWho(gdata.data.Who)
`` | `Extends the base Who class with Calendar extensions`

Method resolution order:
  EventWho
  gdata.data.Who
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

resource = <class 'gdata.calendar.data.ResourceProperty'>
  `Describes whether gd:who is a resource such as a conference room`

Data and other attributes inherited from gdata.data.Who:

attendee_status = <class 'gdata.data.AttendeeStatus'>
  `The gd:attendeeStatus element.`

attendee_type = <class 'gdata.data.AttendeeType'>
  `The gd:attendeeType element.`

email = 'email'

entry_link = <class 'gdata.data.EntryLink'>
  `The gd:entryLink element.
  Represents a logically nested entry. For example, a <gd:who>
  representing a contact might have a nested entry from a contact feed.`

rel = 'rel'

value = 'valueString'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class GuestsCanInviteOthersProperty(atom.core.XmlElement)
`` | `Whether guests can invite others to the event`

Method resolution order:
  GuestsCanInviteOthersProperty
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class GuestsCanModifyProperty(atom.core.XmlElement)
`` | `Whether guests can modify event`

Method resolution order:
  GuestsCanModifyProperty
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class GuestsCanSeeGuestsProperty(atom.core.XmlElement)
`` | `Whether guests can see other attendees`

Method resolution order:
  GuestsCanSeeGuestsProperty
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class HiddenProperty(atom.core.XmlElement)
`` | `Describes whether a calendar is hidden`

Method resolution order:
  HiddenProperty
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class IcalUIDProperty(atom.core.XmlElement)
`` | `Describes the UID in the ical export of the event`

Method resolution order:
  IcalUIDProperty
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class OverrideNameProperty(atom.core.XmlElement)
`` | `Describes the override name property of a calendar`

Method resolution order:
  OverrideNameProperty
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class PrivateCopyProperty(atom.core.XmlElement)
`` | `Indicates whether this is a private copy of the event, changes to which should not be sent to other calendars`

Method resolution order:
  PrivateCopyProperty
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class QuickAddProperty(atom.core.XmlElement)
`` | `Describes whether gd:content is for quick-add processing`

Method resolution order:
  QuickAddProperty
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class ResourceProperty(atom.core.XmlElement)
`` | `Describes whether gd:who is a resource such as a conference room`

Method resolution order:
  ResourceProperty
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

id = 'id'

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class SelectedProperty(atom.core.XmlElement)
`` | `Describes whether a calendar is selected`

Method resolution order:
  SelectedProperty
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class SendAclNotificationsProperty(atom.core.XmlElement)
`` | `Describes whether to send ACL notifications to grantees`

Method resolution order:
  SendAclNotificationsProperty
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class SendEventNotificationsProperty(atom.core.XmlElement)
`` | `Describes whether to send event notifications to other participants of the event`

Method resolution order:
  SendEventNotificationsProperty
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class SequenceNumberProperty(atom.core.XmlElement)
`` | `Describes sequence number of an event`

Method resolution order:
  SequenceNumberProperty
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class SettingsEntry(gdata.data.GDEntry)
`` | `Describes a Calendar Settings property entry`

Method resolution order:
  SettingsEntry
  gdata.data.GDEntry
  atom.data.Entry
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

settings_property = <class 'gdata.calendar.data.SettingsProperty'>
  `User preference name-value pair`

Methods inherited from gdata.data.GDEntry:

FindMediaLink = find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

GetId = get_id(self)

IsMedia = is_media(self)

find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

get_id(self)

is_media(self)

Data and other attributes inherited from gdata.data.GDEntry:

etag = '{http://schemas.google.com/g/2005}etag'

Data and other attributes inherited from atom.data.Entry:

content = <class 'atom.data.Content'>
  `The atom:content element.`

control = <class 'atom.data.Control'>
  `The app:control element indicating restrictions on publication.
  The APP control element may contain a draft element indicating whether or
  not this entry should be publicly available.`

published = <class 'atom.data.Published'>
  `The atom:published element.`

source = <class 'atom.data.Source'>
  `The atom:source element.`

summary = <class 'atom.data.Summary'>
  `The atom:summary element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class SettingsProperty(atom.core.XmlElement)
`` | `User preference name-value pair`

Method resolution order:
  SettingsProperty
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

name = 'name'

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class SuppressReplyNotificationsProperty(atom.core.XmlElement)
`` | `Lists notification methods to be suppressed for this reply`

Method resolution order:
  SuppressReplyNotificationsProperty
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

methods = 'methods'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class SyncEventProperty(atom.core.XmlElement)
`` | `Describes whether this is a sync scenario where the Ical UID and Sequence number are honored during inserts and updates`

Method resolution order:
  SyncEventProperty
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class TimeZoneProperty(atom.core.XmlElement)
`` | `Describes the time zone of a calendar`

Method resolution order:
  TimeZoneProperty
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class TimesCleanedProperty(atom.core.XmlElement)
`` | `Describes how many times calendar was cleaned via Manage Calendars`

Method resolution order:
  TimesCleanedProperty
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class WebContent(atom.core.XmlElement)
`` | `Describes a "web content" extension`

Method resolution order:
  WebContent
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

display = 'display'

height = 'height'

url = 'url'

web_content_gadget_pref = [<class 'gdata.calendar.data.WebContentGadgetPref'>]

width = 'width'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class WebContentGadgetPref(atom.core.XmlElement)
`` | `Describes a single web content gadget preference`

Method resolution order:
  WebContentGadgetPref
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

name = 'name'

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class WebContentLink(atom.data.Link)
`` | `Describes a "web content" link`

Method resolution order:
  WebContentLink
  atom.data.Link
  atom.core.XmlElement
  __builtin__.object

Methods defined here:

__init__(self, title=None, href=None, link_type=None, web_content=None)

Data and other attributes defined here:

web_content = <class 'gdata.calendar.data.WebContent'>
  `Describes a "web content" extension`

Data and other attributes inherited from atom.data.Link:

href = 'href'

hreflang = 'hreflang'

length = 'length'

rel = 'rel'

title = 'title'

type = 'type'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class When(gdata.data.When)
`` | `Extends the gd:when element to add reminders`

Method resolution order:
  When
  gdata.data.When
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

reminder = [<class 'gdata.data.Reminder'>]

Data and other attributes inherited from gdata.data.When:

end = 'endTime'

start = 'startTime'

value = 'valueString'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Data
`` |  | GCAL_NAMESPACE = 'http://schemas.google.com/gCal/2005' GCAL_TEMPLATE = '{http://schemas.google.com/gCal/2005}%s' WEB_CONTENT_LINK_REL = 'http://schemas.google.com/gCal/2005/webContent' __author__ = 'j.s@google.com (Jeff Scudder)'

Author
`` |  | j.s@google.com (Jeff Scudder)